<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.3) on Fri May 10 16:58:32 CEST 2019 -->
<title>MainView</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-05-10">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MainView";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MainView.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">views</a></div>
<h2 title="Class MainView" class="title">Class MainView</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.awt.Component</li>
<li>
<ul class="inheritance">
<li>java.awt.Container</li>
<li>
<ul class="inheritance">
<li>java.awt.Window</li>
<li>
<ul class="inheritance">
<li>java.awt.Frame</li>
<li>
<ul class="inheritance">
<li>javax.swing.JFrame</li>
<li>
<ul class="inheritance">
<li>views.MainView</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code>java.awt.image.ImageObserver</code>, <code>java.awt.MenuContainer</code>, <code>java.io.Serializable</code>, <code>javax.accessibility.Accessible</code>, <code>javax.swing.RootPaneContainer</code>, <code>javax.swing.WindowConstants</code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">MainView</span>
extends javax.swing.JFrame</pre>
<div class="block">MainView class, inherits JFrame class, is used to create the main view</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Clement AZIBEIRO</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../serialized-form.html#views.MainView">Serialized Form</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a id="nested.classes.inherited.from.class.java.awt.Window">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;java.awt.Window</h3>
<code>java.awt.Window.Type</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="nested.classes.inherited.from.class.java.awt.Component">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;java.awt.Component</h3>
<code>java.awt.Component.BaselineResizeBehavior</code></li>
</ul>
</li>
</ul>
</section>
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.java.awt.Frame">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;java.awt.Frame</h3>
<code>CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.java.awt.Component">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;java.awt.Component</h3>
<code>BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.java.awt.image.ImageObserver">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;java.awt.image.ImageObserver</h3>
<code>ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.javax.swing.WindowConstants">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;javax.swing.WindowConstants</h3>
<code>DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE</code></li>
</ul>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">MainView</a></span>()</code></th>
<td class="colLast">
<div class="block">Constructor of the main view</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>javax.swing.JButton</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getBtnAddUser()">getBtnAddUser</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>javax.swing.JButton</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getBtnBack()">getBtnBack</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>javax.swing.JButton</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getBtnCallTime()">getBtnCallTime</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>javax.swing.JButton</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getBtnDeleteUser()">getBtnDeleteUser</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>javax.swing.JButton</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getBtnDisconnect()">getBtnDisconnect</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>javax.swing.JButton</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getBtnEditUser()">getBtnEditUser</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>javax.swing.JButton</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getBtnFailedCall()">getBtnFailedCall</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>javax.swing.JButton</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getBtnOperators()">getBtnOperators</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>javax.swing.JButton</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getBtnQuit()">getBtnQuit</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>javax.swing.JButton</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getBtnSuccessCall()">getBtnSuccessCall</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>javax.swing.JButton</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getBtnTotalCall()">getBtnTotalCall</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>javax.swing.JPanel</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getContentPane()">getContentPane</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>com.toedter.calendar.JDateChooser</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getDateChooser()">getDateChooser</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>javax.swing.JLabel</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getLblCallTime()">getLblCallTime</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>javax.swing.JLabel</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getLblDate()">getLblDate</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>javax.swing.JLabel</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getLblFailedCall()">getLblFailedCall</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>javax.swing.JLabel</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getLblOperators()">getLblOperators</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>javax.swing.JLabel</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getLblSuccessCall()">getLblSuccessCall</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>javax.swing.JLabel</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getLblTableTitle()">getLblTableTitle</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>javax.swing.JLabel</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getLblTotalCall()">getLblTotalCall</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>javax.swing.JRadioButton</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getRdbtnDate()">getRdbtnDate</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>javax.swing.JRadioButton</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getRdbtnMonth()">getRdbtnMonth</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>javax.swing.JRadioButton</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getRdbtnThisYear()">getRdbtnThisYear</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>javax.swing.JRadioButton</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getRdbtnToday()">getRdbtnToday</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>javax.swing.ButtonGroup</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getRdnbuttongroup()">getRdnbuttongroup</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>javax.swing.JScrollPane</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getScrollPane()">getScrollPane</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>javax.swing.JTable</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTable()">getTable</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.javax.swing.JFrame">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;javax.swing.JFrame</h3>
<code>getAccessibleContext, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setIconImage, setJMenuBar, setLayeredPane, setLayout, setTransferHandler, update</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.awt.Frame">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Frame</h3>
<code>addNotify, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setBackground, setCursor, setExtendedState, setMaximizedBounds, setMenuBar, setOpacity, setResizable, setShape, setState, setTitle, setUndecorated</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.awt.Window">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Window</h3>
<code>addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImages, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setType, setVisible, show, toBack, toFront</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.awt.Container">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Container</h3>
<code>add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.awt.Component">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Component</h3>
<code>action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, dispatchEvent, enable, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setMixingCutoutShape, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.awt.MenuContainer">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.awt.MenuContainer</h3>
<code>getFont, postEvent</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MainView</h4>
<pre>public&nbsp;MainView()</pre>
<div class="block">Constructor of the main view</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getContentPane()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getContentPane</h4>
<pre class="methodSignature">public&nbsp;javax.swing.JPanel&nbsp;getContentPane()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getContentPane</code>&nbsp;in interface&nbsp;<code>javax.swing.RootPaneContainer</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>getContentPane</code>&nbsp;in class&nbsp;<code>javax.swing.JFrame</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current content pane</dd>
</dl>
</li>
</ul>
<a id="getRdbtnToday()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRdbtnToday</h4>
<pre class="methodSignature">public&nbsp;javax.swing.JRadioButton&nbsp;getRdbtnToday()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current today radio button</dd>
</dl>
</li>
</ul>
<a id="getRdbtnMonth()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRdbtnMonth</h4>
<pre class="methodSignature">public&nbsp;javax.swing.JRadioButton&nbsp;getRdbtnMonth()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current month radio button</dd>
</dl>
</li>
</ul>
<a id="getRdbtnThisYear()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRdbtnThisYear</h4>
<pre class="methodSignature">public&nbsp;javax.swing.JRadioButton&nbsp;getRdbtnThisYear()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current year radio button</dd>
</dl>
</li>
</ul>
<a id="getRdbtnDate()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRdbtnDate</h4>
<pre class="methodSignature">public&nbsp;javax.swing.JRadioButton&nbsp;getRdbtnDate()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current date radio button</dd>
</dl>
</li>
</ul>
<a id="getDateChooser()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDateChooser</h4>
<pre class="methodSignature">public&nbsp;com.toedter.calendar.JDateChooser&nbsp;getDateChooser()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current date chooser</dd>
</dl>
</li>
</ul>
<a id="getRdnbuttongroup()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRdnbuttongroup</h4>
<pre class="methodSignature">public&nbsp;javax.swing.ButtonGroup&nbsp;getRdnbuttongroup()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current radio button group</dd>
</dl>
</li>
</ul>
<a id="getLblDate()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLblDate</h4>
<pre class="methodSignature">public&nbsp;javax.swing.JLabel&nbsp;getLblDate()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current data label</dd>
</dl>
</li>
</ul>
<a id="getBtnCallTime()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBtnCallTime</h4>
<pre class="methodSignature">public&nbsp;javax.swing.JButton&nbsp;getBtnCallTime()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current call time button</dd>
</dl>
</li>
</ul>
<a id="getBtnTotalCall()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBtnTotalCall</h4>
<pre class="methodSignature">public&nbsp;javax.swing.JButton&nbsp;getBtnTotalCall()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current total call button</dd>
</dl>
</li>
</ul>
<a id="getBtnFailedCall()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBtnFailedCall</h4>
<pre class="methodSignature">public&nbsp;javax.swing.JButton&nbsp;getBtnFailedCall()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current failed call button</dd>
</dl>
</li>
</ul>
<a id="getBtnSuccessCall()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBtnSuccessCall</h4>
<pre class="methodSignature">public&nbsp;javax.swing.JButton&nbsp;getBtnSuccessCall()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current success call button</dd>
</dl>
</li>
</ul>
<a id="getBtnOperators()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBtnOperators</h4>
<pre class="methodSignature">public&nbsp;javax.swing.JButton&nbsp;getBtnOperators()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current operator button</dd>
</dl>
</li>
</ul>
<a id="getLblCallTime()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLblCallTime</h4>
<pre class="methodSignature">public&nbsp;javax.swing.JLabel&nbsp;getLblCallTime()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current call time label</dd>
</dl>
</li>
</ul>
<a id="getLblOperators()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLblOperators</h4>
<pre class="methodSignature">public&nbsp;javax.swing.JLabel&nbsp;getLblOperators()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current operator label</dd>
</dl>
</li>
</ul>
<a id="getLblSuccessCall()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLblSuccessCall</h4>
<pre class="methodSignature">public&nbsp;javax.swing.JLabel&nbsp;getLblSuccessCall()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current success call label</dd>
</dl>
</li>
</ul>
<a id="getLblFailedCall()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLblFailedCall</h4>
<pre class="methodSignature">public&nbsp;javax.swing.JLabel&nbsp;getLblFailedCall()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current failed call label</dd>
</dl>
</li>
</ul>
<a id="getLblTotalCall()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLblTotalCall</h4>
<pre class="methodSignature">public&nbsp;javax.swing.JLabel&nbsp;getLblTotalCall()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current total call label</dd>
</dl>
</li>
</ul>
<a id="getBtnBack()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBtnBack</h4>
<pre class="methodSignature">public&nbsp;javax.swing.JButton&nbsp;getBtnBack()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current back button</dd>
</dl>
</li>
</ul>
<a id="getScrollPane()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getScrollPane</h4>
<pre class="methodSignature">public&nbsp;javax.swing.JScrollPane&nbsp;getScrollPane()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current scroll pane</dd>
</dl>
</li>
</ul>
<a id="getTable()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTable</h4>
<pre class="methodSignature">public&nbsp;javax.swing.JTable&nbsp;getTable()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current table</dd>
</dl>
</li>
</ul>
<a id="getLblTableTitle()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLblTableTitle</h4>
<pre class="methodSignature">public&nbsp;javax.swing.JLabel&nbsp;getLblTableTitle()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current table title</dd>
</dl>
</li>
</ul>
<a id="getBtnAddUser()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBtnAddUser</h4>
<pre class="methodSignature">public&nbsp;javax.swing.JButton&nbsp;getBtnAddUser()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current button to add a user</dd>
</dl>
</li>
</ul>
<a id="getBtnEditUser()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBtnEditUser</h4>
<pre class="methodSignature">public&nbsp;javax.swing.JButton&nbsp;getBtnEditUser()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current button to edit a user</dd>
</dl>
</li>
</ul>
<a id="getBtnDeleteUser()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBtnDeleteUser</h4>
<pre class="methodSignature">public&nbsp;javax.swing.JButton&nbsp;getBtnDeleteUser()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current button to delete a user</dd>
</dl>
</li>
</ul>
<a id="getBtnDisconnect()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBtnDisconnect</h4>
<pre class="methodSignature">public&nbsp;javax.swing.JButton&nbsp;getBtnDisconnect()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current disconnect button</dd>
</dl>
</li>
</ul>
<a id="getBtnQuit()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getBtnQuit</h4>
<pre class="methodSignature">public&nbsp;javax.swing.JButton&nbsp;getBtnQuit()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current quit button</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MainView.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
